<?php 


if (!Yii::app()->request->isAjaxRequest) {
    echo CHtml::openTag("div", array("class"=>"manage_content"));
    echo CHtml::tag("div", array("class"=>"manage_content_start"), " ");
    echo CHtml::openTag("div", array("id"=>"tableMedia_".$id));
}
$type = $options['type'];

if ( !$options['hideEmpty'] || count($media )>0 ) {
    
    $n=0;
    if ( count($media)<=$options['maxItem'] ) 
        $options['maxItem']=0; 
    elseif( $options['maxItem']!=0 ) 
        $options['maxItem']--;

    foreach( $media as $i => $mediaitem ) {
            
        $mediaactions = $actions;
        $medianame = $name;
		if ($i==0 && $options['first'] )
			$html=array( 'class'=>"$type manage_item first" );
		else
			$html=array( 'class'=>"$type manage_item" );
        
        $preview=false;
        if ( is_array( $mediaitem ) ) {
            
            $file = $mediaitem['media'];
            $mediatitle = $file->name;
            if ( isset( $mediaitem['action'] ) )
                $mediaactions = $mediaitem['action'];
            if ( isset( $mediaitem['name'] ) )
                $medianame = $mediaitem['name'];
            if ( isset( $mediaitem['html'] ) )
                $html = array_merge( $html, $mediaitem['html'] );
            if ( isset( $mediaitem['title'] ) )
                $mediatitle = $mediaitem['title'];
            if ( isset( $mediaitem['preview'] ) )
                $preview = $mediaitem['preview'];
        }else {
            $file = $mediaitem;
            $mediatitle = $file->name;
        }
        if ( $preview===false )
            $preview  = $file->webpathPreview;
        echo CHtml::openTag("div", $html );
        
        echo CHtml::tag("div", array( 'class'=>"$type manage_item_preview" ), 
                        CHtml::image($preview , "", array( "class"=>"$type preview_large") )
                        );
        
        echo CHtml::openTag("div", array('class'=>"$type manage_item_other")  );
        
        if ( $options['showName'] ){
            echo CHtml::openTag("div", array( 'class'=>"$type manage_item_desc" ) );
            
            $filename = $file->name;
            if ( preg_match("/^\d+_(.*)/", $filename, $match) )
                $filename = $match[1];
            
            echo CHtml::tag("div", array( 'class'=>"$type manage_item_filename" ), CHtml::encode($filename) );
        
            if ( $medianame!="" ) 
                echo CHtml::tag("div", array( 'class'=>"$type manage_item_name" ), CHtml::tag("h2", array(), CHtml::encode($medianame)) );
            
            
            echo CHtml::closeTag("div");
        }
		
		
       
	   echo CHtml::openTag("div", array('class'=>"$type manage_item_previews") );
        if (isset( $previews[$file->id]) && is_array($previews[$file->id]) ){
            $k=0;
            foreach ($previews[$file->id] as $link ){
                if ($k++==8) {
                    echo CHtml::tag("h2", array( "class"=>'preview_small'), "..." );
                    break;
                }
				echo CHtml::tag("div",  array('class'=>"item_preview_small"),
                                        CHtml::image($link, "", array( "class"=>'preview_small') )
                                );
            }
        }
		echo CHtml::closeTag("div");
		
		echo CHtml::openTag("div", array('class'=>"$type manage_item_actions") );
        if ( !empty($mediaactions) ){
            $first = true;
            foreach ( $mediaactions as $actionname => $action ) {
			
				if ( isset( $action['options'] ) )
                    $linkoption = $action['options'];
                else
                    $linkoption = array();
                if ( isset( $action['click'] ) && isset( $action['image'] )) {
					if ( is_array($action['link']) ){
						if (!isset($action['link']['id']))
							$action['link']['id'] = urlencode($file->id);
						$linkoption['href'] = CHtml::normalizeUrl( $action['link'] );
					}else
						$linkoption['href'] = CHtml::normalizeUrl( array( $action['link'], 'id' => urlencode($file->id) ) );
					$linkoption['onclick'] = $action['click'];
					
					echo CHtml::image( $action['image'], $actionname, $linkoption );
				} else {
						
					$sep = " | ";
					if ( isset( $action['image'] ) ){
						$actionname = CHtml::image( $action['image'], $actionname );
						$sep = " ";
					}
					if ( $first )  {
						$sep = ""; 
						$first = false;
					}
					
					echo $sep;
						
					if ( isset( $action['link'] ) ) {
						if ( is_array($action['link']) ){
							if (!isset($action['link']['id']))
								$action['link']['id'] = urlencode($file->id);
							echo CHtml::link( $actionname, $action['link'], $linkoption );
						}else
							echo CHtml::link( $actionname, array( $action['link'], 'id' => urlencode($file->id) ), $linkoption );
					} else
						echo $actionname;
				}					
					
            }
        }   
        echo CHtml::closeTag("div"); 
		
        echo CHtml::closeTag("div");
        
        echo CHtml::closeTag("div");
        
        if ( $options['maxItem']>0 && $i+1>=$options['maxItem'] ) break;
    }
}
if (!Yii::app()->request->isAjaxRequest) {
    echo CHtml::closeTag("div");
    
    echo CHtml::tag("div", array("class"=>"$type manage_content_end"), " ");
    echo CHtml::closeTag("div");
?>
    <script type="text/javascript">
        function attach( node ) {
            jQuery('.use_ajax', node).click(function(){
                var toDelete= $(this).parent().parent();
                toDelete.fadeTo("fast", 0.5)
                jQuery.ajax({
                    'url': this.getAttribute("href"),
                    'cache':false,
                    'success':function(html){ node.html(html); attach( node );}
                });
                return false;
            });
            
        };
        $( attach(jQuery("#tableMedia_<?php echo $id;?>")) );
    </script>
<?php
} 
?>